apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    kompose.cmd: kompose convert
    kompose.version: 1.21.0 (992df58d8)
  creationTimestamp: null
  labels:
    io.kompose.service: frontend
  name: frontend
spec:
  replicas: 1
  selector:
    matchLabels:
      io.kompose.service: frontend
  strategy: {}
  template:
    metadata:
      annotations:
        kompose.cmd: kompose convert
        kompose.version: 1.21.0 (992df58d8)
      creationTimestamp: null
      labels:
        io.kompose.service: frontend
    spec:
      containers:
      - image: pizzabakker2/step_tracker:frontend
        imagePullPolicy: ""
        name: frontend
        ports:
        - containerPort: 80
        resources:
          limits:
            cpu: 500m
            memory: "314572800"
          requests:
            cpu: 250m
            memory: "104857600"
      restartPolicy: Always
      serviceAccountName: ""
      volumes: null
status: {}
